<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

if (!isset($estatebud_api)) return;

if (isset($_POST['estatebud_listing_submitted'])) {
    $show_sold = isset($_POST["estatebud_show_sold"]);
    $show_rented = isset($_POST["estatebud_show_rented"]);
    update_option('estatebud_show_rented', $show_rented);
    update_option('estatebud_show_sold', $show_sold);
} else {
    $show_rented = get_option('estatebud_show_rented', true);
    $show_sold = get_option('estatebud_show_sold', true);
}

if (isset($_POST['estatebud_listing_type'])) {
    $listing_type = sanitize_text_field($_POST["estatebud_listing_type"]);
    update_option("estatebud_listing_type", $listing_type);
} else {
    $listing_type = get_option("estatebud_listing_type","");
}

if (isset($_POST['estatebud_details_type'])) {
    $details_type = sanitize_text_field($_POST["estatebud_details_type"]);
    update_option("estatebud_details_type", $details_type);
} else {
    $details_type = get_option("estatebud_details_type","1");
}

?>
<form method="post">
    <input type="hidden" name="estatebud_listing_submitted" value="true">
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><?php _e("Show Sold Properties", "estatebud"); ?></th>
            <td><input type="checkbox" name="estatebud_show_sold" <?php echo $show_sold ? "checked" : ""; ?> /></td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("Show Rented Properties", "estatebud"); ?></th>
            <td><input type="checkbox" name="estatebud_show_rented" <?php echo $show_rented ? "checked" : ""; ?> /></td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("Listing Display Type", "estatebud"); ?></th>
            <td class="estatebud_listing_type">
                <label><input type="radio" name="estatebud_listing_type" value="" <?php echo $listing_type == "" ? "checked" : ""; ?> /><img class='estatebud_admin_listing_type_icon svg' src='<?php echo plugin_dir_url(__FILE__);?>../assets/listing-1.svg'></label>
                <label><input type="radio" name="estatebud_listing_type" value="estatebud-listing-type-list" <?php echo $listing_type == "estatebud-listing-type-list" ? "checked" : ""; ?> /><img class='estatebud_admin_listing_type_icon svg' src='<?php echo plugin_dir_url(__FILE__);?>../assets/listing-2.svg'></label>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("Details Display Type", "estatebud"); ?></th>
            <td class="estatebud_listing_type">
                <label><input type="radio" name="estatebud_details_type" value="1" <?php echo ($details_type == "1" || $details_type == "") ? "checked" : ""; ?> /><img class='estatebud_admin_listing_type_icon svg' src='<?php echo plugin_dir_url(__FILE__);?>../assets/details-1.svg'></label>
                <label><input type="radio" name="estatebud_details_type" value="2" <?php echo $details_type == "2" ? "checked" : ""; ?> /><img class='estatebud_admin_listing_type_icon svg' src='<?php echo plugin_dir_url(__FILE__);?>../assets/details-2.svg'></label>
                <label><input type="radio" name="estatebud_details_type" value="3" <?php echo $details_type == "3" ? "checked" : ""; ?> /><img class='estatebud_admin_listing_type_icon svg' src='<?php echo plugin_dir_url(__FILE__);?>../assets/details-3.svg'></label>
            </td>
        </tr>
        <tr><th scope="row">&nbsp;</th><td><?php submit_button(); ?></td></tr>
    </table>
</form>