
<?php

if(!isset($estatebud_api)) return;

/**
 * Provide a form for creating and editing widgets in a modal
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

?>

<div id="estatebud-widget-form" style="display: none">
    <form method="post" onsubmit="return estatebud.new_widget(this);" id="estatebud-widget-form-element">
    <?php wp_nonce_field( "estatebud_save_widget", "widget_security"); ?>
    <input type="hidden" id="action_field" name="action" value="estatebud_save_widget">
    <input type="hidden" name='old_key' value=''>
    <input type="hidden" name='create' value=''>
    <div class="container bootstrap-container">
    <div class="row estatebud-notice-row"></div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-field">
                    <label><?php echo __("Search Box Label", "estatebud");?></label>
                    <div style="flex: 1">
                        <input type="text" class="form-control" name="label" required minlength="3"><br>
                        <p class="description"><?php _e("This will be the label of the widget you will be selecting in the Estatebud Search Widget settings area.", "estatebud");?></p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-field">
                    <label><?php echo __("Page/Post to Redirect", "estatebud");?></label>
                    <div style="flex: 1">
                        <p id='page_type'>
                        <input type="radio" onclick="jQuery('#page_type select').removeAttr('disabled'); jQuery('#post_type select').attr('disabled','disabled');" name="item_type" value="page"> Page:&nbsp;
                        <select name="redirect_page" required>
                            <option><?php _e("Select a Redirect Page", "estatebud");?></option>
                            <?php
                            global $wpdb;
                            $result = $wpdb->get_results( "SELECT * FROM wp_posts WHERE post_content LIKE '%[estatebud_%' AND post_content NOT LIKE '%[estatebud_detail]%' and post_type='page';" );
                            if ($result){
                                foreach($result as $page){
                                echo "<option value='" . $page->ID . "'>" . $page->post_title . "</option>";
                                }
                            }
                            ?>
                        </select>
                        </p>
                        <p id="post_type">
                        <input type="radio" onclick="jQuery('#post_type select').removeAttr('disabled'); jQuery('#page_type select').attr('disabled','disabled');" name="item_type" value="post"> Post:&nbsp;
                        <select name="redirect_post" required>
                            <option><?php _e("Select a Redirect Post", "estatebud");?></option>
                            <?php
                            global $wpdb;
                            $result = $wpdb->get_results( "SELECT * FROM wp_posts WHERE post_content LIKE '%[estatebud_%' AND post_content NOT LIKE '%[estatebud_detail]%' and post_type='post';" );
                            if ($result){
                                foreach($result as $page){
                                echo "<option value='" . $page->ID . "'>" . $page->post_title . "</option>";
                                }
                            }
                            ?>
                        </select>
                        </p>
                        <p class="description"><?php _e("The form you are creating will be redirected to the page/post you select here. The page should contain the Estatebud shortcode to operate correctly.", "estatebud");?></p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-field">
                    <label><?php echo __("Form Template", "estatebud");?></label>
                    <div style="flex: 1">
                        <div id="template_container">
                            <div name="template" id="template" style="border: 1px solid #DFDFDF; -moz-border-radius: 3px; -webkit-border-radius: 3px; border-radius: 3px; width: 100%; height: 400px; position: relative;"></div>
                        </div>
                        <textarea id="template_textarea" name="template" style="display: none;"></textarea>
                        <br><button type="button" onclick="return estatebud.default_widget_template(jQuery('#estatebud-widget-form-element'));"><?php _e("Load default template","estatebud");?></button>
                        <p class="description"><?php
                        echo "<br>";
                        _e("This area defines the HTML content that your form should have.", "estatebud");
                        _e("You can use Bootstrap Layouts and Form Elements if your current theme supports it.", "estatebud");
                        echo "<br><br>";
                        _e("The strings between <kbd>\${</kbd> and <kbd>}\$</kbd> will be translated in the current language. But you will need to add the translations manually. Plugins like Loco Translate won't recognize them automatically.", "estatebud");
                        _e("The format should contain the placeholders of the form elements such as: ", "estatebud");
                        echo "<ul>";
                        echo "<li><b>%category_select%</b>&nbsp;" . __("Property Category dropdown", "estatebud") . "</li>";
                        echo "<li><b>%type_select%</b>&nbsp;" . __("Property Type dropdown", "estatebud") . "</li>";
                        echo "<li><b>%area_select%</b>&nbsp;" . __("Property Area dropdown", "estatebud") . "</li>";
                        echo "<li><b>%condition_select%</b>&nbsp;" . __("Property Condition dropdown", "estatebud") . "</li>";
                        echo "<li><b>%label_select%</b>&nbsp;" . __("Property Custom Label dropdown", "estatebud") . "</li>";
                        echo "<li><b>%bedroom_select%</b>&nbsp;" . __("Bedroom Count dropdown", "estatebud") . "</li>";
                        echo "<li><b>%bathroom_select%</b>&nbsp;" . __("Bathroom Count dropdown", "estatebud") . "</li>";
                        echo "<li><b>%property_id_input%</b>&nbsp;" . __("Property ID input", "estatebud") . "</li>";
                        echo "<li><b>%price_min_input%</b>&nbsp;" . __("Min Price input", "estatebud") . "</li>";
                        echo "<li><b>%price_max_input%</b>&nbsp;" . __("Max Price input", "estatebud") . "</li>";
                        echo "<li><b>%title_deed_cb%</b>&nbsp;" . __("Title Deed checkbox", "estatebud") . "</li>";
                        echo "<li><b>%sea_view_cb%</b>&nbsp;" . __("Sea View checkbox", "estatebud") . "</li>";
                        echo "<li><b>%sea_front_cb%</b>&nbsp;" . __("Sea Front checkbox", "estatebud") . "</li>";
                        echo "<li><b>%swimming_pool_cb%</b>&nbsp;" . __("Swimming Pool checkbox", "estatebud") . "</li>";
                        echo "<li><b>%close_to_beach_cb%</b>&nbsp;" . __("Close to beach checkbox", "estatebud") . "</li>";
                        echo "</ul>"
                        ?></p>
                    </div>
                </div>
            </div>
        </div>
        <?php submit_button(__("Add New Search Box", "estatebud"));?>
    </div>
    </form>
</div>